
#define   GLOBALS_MEU_PROCESS

#include "Menu_Process.h"
#include "Drive_Info.h"
#include "GUI.h"
#include "Popups.h"
#include "CRG.h"

_MenuFlag    MenuFlag   ;

const _MenuOptTab	MenuOptTab[] =
{
	//---------ENTER---------------------UP-----------------------DOWN----------------------EXIT------------------ENTER------------------DO-----------------EXIT------------
	//主循环界面                                                                                                                                                              //      //主界面 
	/* 0*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_6,    _MN_DSP_LEVEL1MENU_2,     _MN_IDX_NULL,         Level1Menu_1Enter, 	  Level1Menu_1Do, 	Level1Menu_1Exit},	 	// 	 _MN_DSP_LEVEL1MENU_1    
	/* 1*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_1,    _MN_DSP_LEVEL1MENU_3,     _MN_IDX_NULL,         Level1Menu_2Enter,    Level1Menu_2Do,   Level1Menu_2Exit},	 	// 	 _MN_DSP_LEVEL1MENU_2     
	/* 2*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_2,    _MN_DSP_LEVEL1MENU_4,     _MN_IDX_NULL,         Level1Menu_3Enter,    Level1Menu_3Do,	  Level1Menu_3Exit},	 	// 	 _MN_DSP_LEVEL1MENU_3     
	/* 3*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_3,    _MN_DSP_LEVEL1MENU_5,     _MN_IDX_NULL,         Level1Menu_4Enter,    Level1Menu_4Do,	  Level1Menu_4Exit},	 	// 	 _MN_DSP_LEVEL1MENU_4     
	/* 4*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_4,    _MN_DSP_LEVEL1MENU_6,     _MN_IDX_NULL,         Level1Menu_5Enter,	  Level1Menu_5Do,	  Level1Menu_5Exit},	 	// 	 _MN_DSP_LEVEL1MENU_5     
	/* 5*/{ _MN_DSP_LEVEL2MENU_2,      _MN_DSP_LEVEL1MENU_5,    _MN_DSP_LEVEL1MENU_1,     _MN_IDX_NULL,         Level1Menu_6Enter,	  Level1Menu_6Do,	  Level1Menu_6Exit},	 	// 	 _MN_DSP_LEVEL1MENU_6     				    
	/* 6*///{ _MN_IDX_NULL,              _MN_IDX_NULL,            _MN_IDX_NULL,             _MN_IDX_NULL0,        Level1Menu_7Enter,	  Level1Menu_7Do,	  Level1Menu_7Exit},	 	// 	 _MN_DSP_LEVEL1MENU_7     
	//	
	//一级菜单                                                                                                                                                                //   //一级菜单
	/* 7*/{ _MN_IDX_NULL,              _MN_IDX_NULL,            _MN_DSP_LEVEL2MENU_2,     _MN_IDX_NULL,	        Level2Menu_1Enter,	  Level2Menu_1Do,	  Level2Menu_1Exit}, 		// 	 _MN_DSP_LEVEL2MENU_1      				    
	/* 8*/{ _MN_IDX_NULL,              _MN_IDX_NULL,            _MN_DSP_LEVEL2MENU_3,     _MN_IDX_NULL,       	Level2Menu_2Enter,	  Level2Menu_2Do,	  Level2Menu_2Exit}, 		// 	 _MN_DSP_LEVEL2MENU_2      				    
	/* 9*/{ _MN_IDX_NULL,              _MN_DSP_LEVEL2MENU_2,    _MN_DSP_LEVEL2MENU_4,     _MN_IDX_NULL,	        Level2Menu_3Enter,	  Level2Menu_3Do,	  Level2Menu_3Exit}, 		// 	 _MN_DSP_LEVEL2MENU_3      				    
	/*10*/{ _MN_IDX_NULL,              _MN_DSP_LEVEL2MENU_3,    _MN_IDX_NULL,             _MN_IDX_NULL,       	Level2Menu_4Enter,	  Level2Menu_4Do,	  Level2Menu_4Exit}, 		// 	 _MN_DSP_LEVEL2MENU_4      				    
	/*11*/{ _MN_IDX_NULL,              _MN_DSP_LEVEL2MENU_4,    _MN_IDX_NULL,             _MN_IDX_NULL,	        Level2Menu_5Enter,	  Level2Menu_5Do,	  Level2Menu_5Exit}, 		// 	 _MN_DSP_LEVEL2MENU_5      				    
	/*12*/{ _MN_IDX_NULL,              _MN_IDX_NULL,            _MN_IDX_NULL,             _MN_IDX_NULL,	        Level2Menu_6Enter,	  Level2Menu_6Do,	  Level2Menu_6Exit}, 		// 	 _MN_DSP_LEVEL2MENU_6      				    
	//	
	//二级菜单                                                                                                                                                                //   //二级菜单
	/*13*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,             _MN_DSP_LEVEL2MENU_1, Level2_1Menu_1Enter,  Level2_1Menu_1Do,	Level2_1Menu_1Exit},	 	// 	 _MN_DSP_LEVEL2_1_MENU_1   				    
	/*14*///{ _MN_IDX_NULL,            _MN_DSP_LEVEL2_1_MENU_1, _MN_DSP_LEVEL2_1_MENU_3,  _MN_DSP_LEVEL2MENU_1, Level2_1Menu_2Enter,  Level2_1Menu_2Do,	Level2_1Menu_2Exit},	 	// 	 _MN_DSP_LEVEL2_1_MENU_2   				    
	/*15*///{ _MN_IDX_NULL,            _MN_DSP_LEVEL2_1_MENU_2, _MN_DSP_LEVEL2_1_MENU_4,  _MN_DSP_LEVEL2MENU_1, Level2_1Menu_3Enter,  Level2_1Menu_3Do,	Level2_1Menu_3Exit},	 	// 	 _MN_DSP_LEVEL2_1_MENU_3   				    
	/*16*///{ _MN_IDX_NULL,            _MN_DSP_LEVEL2_1_MENU_3, _MN_IDX_NULL,             _MN_DSP_LEVEL2MENU_1, Level2_1Menu_4Enter,  Level2_1Menu_4Do,	Level2_1Menu_4Exit},	 	// 	 _MN_DSP_LEVEL2_1_MENU_4   				    
	/*16*///{ _MN_IDX_NULL,            _MN_DSP_LEVEL2_1_MENU_4,            _MN_IDX_NULL,  _MN_DSP_LEVEL2MENU_1, Level2_1Menu_5Enter,  Level2_1Menu_5Do,	Level2_1Menu_5Exit},	 	// 	 _MN_DSP_LEVEL2_1_MENU_5 	
	//	
	/*17*///{ _MN_DSP_LEVEL3_2_MENU_1, _MN_IDX_NULL,            _MN_DSP_LEVEL2_2_MENU_2,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_1Enter,  Level2_2Menu_1Do,	Level2_2Menu_1Exit},    //   _MN_DSP_LEVEL2_2_MENU_1   				    
	/*18*///{ _MN_DSP_LEVEL3_2_MENU_2, _MN_DSP_LEVEL2_2_MENU_1, _MN_DSP_LEVEL2_2_MENU_3,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_2Enter,  Level2_2Menu_2Do,	Level2_2Menu_2Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_2   				    
	/*19*///{ _MN_DSP_LEVEL3_2_MENU_3, _MN_DSP_LEVEL2_2_MENU_2, _MN_DSP_LEVEL2_2_MENU_4,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_3Enter,  Level2_2Menu_3Do,	Level2_2Menu_3Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_3   				    
	/*20*///{ _MN_DSP_LEVEL3_2_MENU_4, _MN_DSP_LEVEL2_2_MENU_3, _MN_DSP_LEVEL2_2_MENU_6,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_4Enter,  Level2_2Menu_4Do,	Level2_2Menu_4Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_4   				    
	/*21*////{ _MN_DSP_LEVEL3_2_MENU_5, _MN_DSP_LEVEL2_2_MENU_4, _MN_DSP_LEVEL2_2_MENU_6,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_5Enter,  Level2_2Menu_5Do,	Level2_2Menu_5Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_5   				    
	/*22*///{ _MN_DSP_LEVEL3_2_MENU_6, _MN_DSP_LEVEL2_2_MENU_4, _MN_DSP_LEVEL2_2_MENU_7,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_6Enter,  Level2_2Menu_6Do,	Level2_2Menu_6Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_6   				    
	/*23*///{ _MN_DSP_LEVEL3_2_MENU_7, _MN_DSP_LEVEL2_2_MENU_6, _MN_DSP_LEVEL2_2_MENU_8,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_7Enter,  Level2_2Menu_7Do,	Level2_2Menu_7Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_7   				    
	/*24*///{ _MN_DSP_LEVEL3_2_MENU_8, _MN_DSP_LEVEL2_2_MENU_7, _MN_DSP_LEVEL2_2_MENU_9,  _MN_DSP_LEVEL2MENU_2, Level2_2Menu_8Enter,  Level2_2Menu_8Do,	Level2_2Menu_8Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_8   				    
	/*25*///{ _MN_DSP_LEVEL3_2_MENU_9, _MN_DSP_LEVEL2_2_MENU_8, _MN_IDX_NULL,             _MN_DSP_LEVEL2MENU_2, Level2_2Menu_9Enter,  Level2_2Menu_9Do,	Level2_2Menu_9Exit},	 	// 	 _MN_DSP_LEVEL2_2_MENU_9   				    
	//	  
	/*26*///{ _MN_DSP_LEVEL3_3_MENU_1, _MN_IDX_NULL,            _MN_DSP_LEVEL2_3_MENU_2,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_1Enter,  Level2_3Menu_1Do,	Level2_3Menu_1Exit},    //   _MN_DSP_LEVEL2_3_MENU_1   				    
	/*27*///{ _MN_DSP_LEVEL3_3_MENU_2, _MN_DSP_LEVEL2_3_MENU_1, _MN_DSP_LEVEL2_3_MENU_3,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_2Enter,  Level2_3Menu_2Do,	Level2_3Menu_2Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_2   				    
	/*28*///{ _MN_DSP_LEVEL3_3_MENU_3, _MN_DSP_LEVEL2_3_MENU_2, _MN_DSP_LEVEL2_3_MENU_4,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_3Enter,  Level2_3Menu_3Do,	Level2_3Menu_3Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_3   				    
	/*29*///{ _MN_DSP_LEVEL3_3_MENU_4, _MN_DSP_LEVEL2_3_MENU_3, _MN_DSP_LEVEL2_3_MENU_6,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_4Enter,  Level2_3Menu_4Do,	Level2_3Menu_4Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_4   				    
	/*30*///{ _MN_DSP_LEVEL3_3_MENU_5, _MN_DSP_LEVEL2_3_MENU_4, _MN_DSP_LEVEL2_3_MENU_6,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_5Enter,  Level2_3Menu_5Do,	Level2_3Menu_5Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_5   				    
	/*31*///{ _MN_DSP_LEVEL3_3_MENU_6, _MN_DSP_LEVEL2_3_MENU_4, _MN_DSP_LEVEL2_3_MENU_7,  _MN_DSP_LEVEL2MENU_3, Level2_3Menu_6Enter,  Level2_3Menu_6Do,	Level2_3Menu_6Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_6   				    
	/*32*///{ _MN_DSP_LEVEL3_3_MENU_7, _MN_DSP_LEVEL2_3_MENU_6, _MN_IDX_NULL,             _MN_DSP_LEVEL2MENU_3, Level2_3Menu_7Enter,  Level2_3Menu_7Do,	Level2_3Menu_7Exit},	 	// 	 _MN_DSP_LEVEL2_3_MENU_7   				    
	//	
	/*33*///{ _MN_DSP_LEVEL3_4_MENU_11,_MN_IDX_NULL,            _MN_DSP_LEVEL2_4_MENU_2,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_1Enter,  Level2_4Menu_1Do,	Level2_4Menu_1Exit},    //   _MN_DSP_LEVEL2_4_MENU_1   				    
	/*34*///{ _MN_DSP_LEVEL3_4_MENU_21,_MN_DSP_LEVEL2_4_MENU_1, _MN_DSP_LEVEL2_4_MENU_3,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_2Enter,  Level2_4Menu_2Do,	Level2_4Menu_2Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_2   				    
	/*35*///{ _MN_DSP_LEVEL3_4_MENU_3, _MN_DSP_LEVEL2_4_MENU_2, _MN_DSP_LEVEL2_4_MENU_4,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_3Enter,  Level2_4Menu_3Do,	Level2_4Menu_3Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_3   				    
	/*36*///{ _MN_DSP_LEVEL3_4_MENU_41,_MN_DSP_LEVEL2_4_MENU_3, _MN_DSP_LEVEL2_4_MENU_5,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_4Enter,  Level2_4Menu_4Do,	Level2_4Menu_4Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_4   				    
	/*37*///{ _MN_DSP_LEVEL3_4_MENU_51,_MN_DSP_LEVEL2_4_MENU_4, _MN_DSP_LEVEL2_4_MENU_6,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_5Enter,  Level2_4Menu_5Do,	Level2_4Menu_5Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_5   				    
	/*38*///{ _MN_DSP_LEVEL3_4_MENU_6, _MN_DSP_LEVEL2_4_MENU_5, _MN_DSP_LEVEL2_4_MENU_7,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_6Enter,  Level2_4Menu_6Do,	Level2_4Menu_6Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_6   				    
	/*39*///{ _MN_DSP_LEVEL3_4_MENU_7, _MN_DSP_LEVEL2_4_MENU_6, _MN_DSP_LEVEL2_4_MENU_8,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_7Enter,  Level2_4Menu_7Do,	Level2_4Menu_7Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_7   				    
	/*40*///{ _MN_DSP_LEVEL3_4_MENU_8, _MN_DSP_LEVEL2_4_MENU_7, _MN_DSP_LEVEL2_4_MENU_9,  _MN_DSP_LEVEL2MENU_4, Level2_4Menu_8Enter,  Level2_4Menu_8Do,	Level2_4Menu_8Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_8   				    
	/*41*///{ _MN_DSP_LEVEL3_4_MENU_9, _MN_DSP_LEVEL2_4_MENU_8, _MN_IDX_NULL,             _MN_DSP_LEVEL2MENU_4, Level2_4Menu_9Enter,  Level2_4Menu_9Do,	Level2_4Menu_9Exit},	 	// 	 _MN_DSP_LEVEL2_4_MENU_9   				  
	//	  
	//三级菜单                                                                                                                                                                //  //三级菜单
	/*42*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_1_MENU_1, Level3_1Menu_1Enter, Level3_1Menu_1Do,	Level3_1Menu_1Exit},	 	// 	 _MN_DSP_LEVEL3_1_MENU_1   				    
	/*43*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_1_MENU_2, Level3_1Menu_2Enter, Level3_1Menu_2Do,	Level3_1Menu_2Exit},	 	// 	 _MN_DSP_LEVEL3_1_MENU_2   				    
	/*44*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_1_MENU_3, Level3_1Menu_3Enter, Level3_1Menu_3Do,	Level3_1Menu_3Exit},	 	// 	 _MN_DSP_LEVEL3_1_MENU_3   				    
	/*45*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_1_MENU_4, Level3_1Menu_4Enter, Level3_1Menu_4Do,	Level3_1Menu_4Exit},	 	// 	 _MN_DSP_LEVEL3_1_MENU_4 
	/*45*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_1_MENU_5, Level3_1Menu_5Enter, Level3_1Menu_5Do,	Level3_1Menu_5Exit},	 	// 	 _MN_DSP_LEVEL3_1_MENU_5    				    
	//	
	/*46*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_1, Level3_2Menu_1Enter, Level3_2Menu_1Do,	Level3_2Menu_1Exit},    //   _MN_DSP_LEVEL3_2_MENU_1   				    
	/*47*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_2, Level3_2Menu_2Enter, Level3_2Menu_2Do,	Level3_2Menu_2Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_2   				    
	/*48*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_3, Level3_2Menu_3Enter, Level3_2Menu_3Do,	Level3_2Menu_3Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_3   				    
	/*49*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_4, Level3_2Menu_4Enter, Level3_2Menu_4Do,	Level3_2Menu_4Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_4   				    
	/*50*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_5, Level3_2Menu_5Enter, Level3_2Menu_5Do,	Level3_2Menu_5Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_5   				    
	/*51*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_6, Level3_2Menu_6Enter, Level3_2Menu_6Do,	Level3_2Menu_6Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_6   				    
	/*52*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_7, Level3_2Menu_7Enter, Level3_2Menu_7Do,	Level3_2Menu_7Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_7   				    
	/*53*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_8, Level3_2Menu_8Enter, Level3_2Menu_8Do,	Level3_2Menu_8Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_8   				    
	/*54*///{_MN_DSP_ENTER_MENU,       _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_2_MENU_9, Level3_2Menu_9Enter, Level3_2Menu_9Do,	Level3_2Menu_9Exit},	 	// 	 _MN_DSP_LEVEL3_2_MENU_9   				    
	//	  
	/*55*///{ _MN_DSP_LEVEL2_3_MENU_1, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_1, Level3_3Menu_1Enter, Level3_3Menu_1Do,	Level3_3Menu_1Exit},    //   _MN_DSP_LEVEL3_3_MENU_1   				    
	/*56*///{ _MN_DSP_LEVEL2_3_MENU_2, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_2, Level3_3Menu_2Enter, Level3_3Menu_2Do,	Level3_3Menu_2Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_2   				    
	/*57*///{ _MN_DSP_LEVEL2_3_MENU_3, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_3, Level3_3Menu_3Enter, Level3_3Menu_3Do,	Level3_3Menu_3Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_3   				    
	/*58*///{ _MN_DSP_LEVEL2_3_MENU_4, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_4, Level3_3Menu_4Enter, Level3_3Menu_4Do,	Level3_3Menu_4Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_4   				    
	/*59*///{ _MN_DSP_LEVEL2_3_MENU_5, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_5, Level3_3Menu_5Enter, Level3_3Menu_5Do,	Level3_3Menu_5Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_5   				    
	/*60*///{ _MN_DSP_LEVEL2_3_MENU_6, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_6, Level3_3Menu_6Enter, Level3_3Menu_6Do,	Level3_3Menu_6Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_6   				    
	/*61*///{ _MN_DSP_LEVEL2_3_MENU_7, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_3_MENU_7, Level3_3Menu_7Enter, Level3_3Menu_7Do,	Level3_3Menu_7Exit},	 	// 	 _MN_DSP_LEVEL3_3_MENU_7   				    
	//	
	/*62*///{ _MN_DSP_LEVEL4_1_MENU_1, _MN_IDX_NULL,           _MN_DSP_LEVEL3_4_MENU_12,_MN_DSP_LEVEL2_4_MENU_1, Level3_4Menu_1Enter_1, Level3_4Menu_1Do_1,	Level3_4Menu_1Exit_1},    //   _MN_DSP_LEVEL3_4_MENU_11  日期设定
	/*63*///{ _MN_DSP_LEVEL4_1_MENU_2, _MN_DSP_LEVEL3_4_MENU_11,_MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_1, Level3_4Menu_1Enter_2, Level3_4Menu_1Do_2,	Level3_4Menu_1Exit_2},    //   _MN_DSP_LEVEL3_4_MENU_12  格式设定 				    
	/*64*///{ _MN_DSP_LEVEL4_2_MENU_1, _MN_IDX_NULL,           _MN_DSP_LEVEL3_4_MENU_22,_MN_DSP_LEVEL2_4_MENU_2, Level3_4Menu_2Enter_1, Level3_4Menu_2Do_1,	Level3_4Menu_2Exit_1}, 	 	//	 _MN_DSP_LEVEL3_4_MENU_21  时间设定 				    
	/*65*///{ _MN_DSP_LEVEL4_2_MENU_2, _MN_DSP_LEVEL3_4_MENU_21,_MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_2, Level3_4Menu_2Enter_2, Level3_4Menu_2Do_2,	Level3_4Menu_2Exit_2}, 	 	//	 _MN_DSP_LEVEL3_4_MENU_22  格式设定
	/*66*///{ _MN_DSP_LEVEL2_4_MENU_3, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_3, Level3_4Menu_3Enter, Level3_4Menu_3Do,	Level3_4Menu_3Exit}, 	 	//	 _MN_DSP_LEVEL3_4_MENU_3   				    
	/*67*///{ _MN_DSP_LEVEL4_4_MENU_1, _MN_IDX_NULL,            _MN_DSP_LEVEL3_4_MENU_42,_MN_DSP_LEVEL2_4_MENU_4,Level3_4Menu_4Enter_1,Level3_4Menu_4Do_1,Level3_4Menu_4Exit_1},// 	 _MN_DSP_LEVEL3_4_MENU_41  省油设定1			      
	/*68*///{ _MN_DSP_LEVEL4_4_MENU_2, _MN_DSP_LEVEL3_4_MENU_41,_MN_DSP_LEVEL3_4_MENU_43,_MN_DSP_LEVEL2_4_MENU_4,Level3_4Menu_4Enter_2,Level3_4Menu_4Do_2,Level3_4Menu_4Exit_2},// 	 _MN_DSP_LEVEL3_4_MENU_42  省油设定2			      
	/*69*///{ _MN_DSP_LEVEL4_4_MENU_3, _MN_DSP_LEVEL3_4_MENU_42,_MN_DSP_LEVEL3_4_MENU_44,_MN_DSP_LEVEL2_4_MENU_4,Level3_4Menu_4Enter_3,Level3_4Menu_4Do_3,Level3_4Menu_4Exit_3},// 	 _MN_DSP_LEVEL3_4_MENU_43  省油设定3			      
	/*70*///{ _MN_DSP_LEVEL4_4_MENU_4, _MN_DSP_LEVEL3_4_MENU_43,_MN_DSP_LEVEL3_4_MENU_45,_MN_DSP_LEVEL2_4_MENU_4,Level3_4Menu_4Enter_4,Level3_4Menu_4Do_4,Level3_4Menu_4Exit_4},// 	 _MN_DSP_LEVEL3_4_MENU_44  省油设定4			      
	/*71*///{ _MN_DSP_LEVEL4_4_MENU_5, _MN_DSP_LEVEL3_4_MENU_44,_MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_4,Level3_4Menu_4Enter_5,Level3_4Menu_4Do_5,Level3_4Menu_4Exit_5},// 	 _MN_DSP_LEVEL3_4_MENU_45  省油设定5			      
	/*72*///{ _MN_DSP_LEVEL4_5_MENU_1, _MN_IDX_NULL,           _MN_DSP_LEVEL3_4_MENU_52,_MN_DSP_LEVEL2_4_MENU_5, Level3_4Menu_5Enter_1,Level3_4Menu_5Do_1,Level3_4Menu_5Exit_1},// 	 _MN_DSP_LEVEL3_4_MENU_51  HAS设定	HSA调整			    
 	/*73*///{ _MN_DSP_LEVEL4_5_MENU_2, _MN_DSP_LEVEL3_4_MENU_51,_MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_5, Level3_4Menu_5Enter_2,Level3_4Menu_5Do_2,Level3_4Menu_5Exit_2},// 	 _MN_DSP_LEVEL3_4_MENU_52  HAS设定	HSA重置
	/*74*///{ _MN_DSP_LEVEL2_4_MENU_6, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_6, Level3_4Menu_6Enter, Level3_4Menu_6Do,	Level3_4Menu_6Exit},	 	// 	 _MN_DSP_LEVEL3_4_MENU_6   车间距离报警音				    
	/*75*///{ _MN_DSP_LEVEL2_4_MENU_7, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_7, Level3_4Menu_7Enter, Level3_4Menu_7Do,	Level3_4Menu_7Exit},	 	// 	 _MN_DSP_LEVEL3_4_MENU_7   语言设定				    
	/*76*///{ _MN_DSP_LEVEL2_4_MENU_8, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_8, Level3_4Menu_8Enter, Level3_4Menu_8Do,	Level3_4Menu_8Exit},	 	// 	 _MN_DSP_LEVEL3_4_MENU_8   单位设定				    
	/*77*///{ _MN_DSP_LEVEL2_4_MENU_9, _MN_IDX_NULL,            _MN_IDX_NULL,           _MN_DSP_LEVEL2_4_MENU_9, Level3_4Menu_9Enter, Level3_4Menu_9Do,	Level3_4Menu_9Exit},	 	// 	 _MN_DSP_LEVEL3_4_MENU_9   亮度调节				    

	//	
	//四级菜单                                                                                                                                                                //    //四级菜单
	/*78*///{ _MN_DSP_LEVEL3_4_MENU_11, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_11, Level4_1Menu_1Enter, Level4_1Menu_1Do,	Level4_1Menu_1Exit}, 		// 	 _MN_DSP_LEVEL4_1_MENU_1   				    
	/*79*///{ _MN_DSP_LEVEL3_4_MENU_12, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_12, Level4_1Menu_2Enter, Level4_1Menu_2Do,	Level4_1Menu_2Exit}, 		// 	 _MN_DSP_LEVEL4_1_MENU_2   				    
	/*80*///{ _MN_DSP_LEVEL3_4_MENU_21, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_21, Level4_2Menu_1Enter, Level4_2Menu_1Do,	Level4_2Menu_1Exit}, 		// 	 _MN_DSP_LEVEL4_2_MENU_1   				    
	/*81*///{ _MN_DSP_LEVEL3_4_MENU_22, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_22, Level4_2Menu_2Enter, Level4_2Menu_2Do,	Level4_2Menu_2Exit}, 		// 	 _MN_DSP_LEVEL4_2_MENU_2   				    
	/*82*///{ _MN_DSP_LEVEL3_4_MENU_41, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_41, Level4_4Menu_1Enter, Level4_4Menu_1Do,	Level4_4Menu_1Exit}, 		// 	 _MN_DSP_LEVEL4_4_MENU_1   				    
	/*83*///{ _MN_DSP_LEVEL3_4_MENU_42, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_42, Level4_4Menu_2Enter, Level4_4Menu_2Do,	Level4_4Menu_2Exit}, 		// 	 _MN_DSP_LEVEL4_4_MENU_2   				    
	/*84*///{ _MN_DSP_LEVEL3_4_MENU_43, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_43, Level4_4Menu_3Enter, Level4_4Menu_3Do,	Level4_4Menu_3Exit}, 		// 	 _MN_DSP_LEVEL4_4_MENU_3   				    
	/*85*///{ _MN_DSP_LEVEL3_4_MENU_44, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_44, Level4_4Menu_4Enter, Level4_4Menu_4Do,	Level4_4Menu_4Exit}, 		// 	 _MN_DSP_LEVEL4_4_MENU_4   				    
	/*86*///{ _MN_DSP_LEVEL3_4_MENU_45, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_45, Level4_4Menu_5Enter, Level4_4Menu_5Do,	Level4_4Menu_5Exit},		//	 _MN_DSP_LEVEL4_4_MENU_5 
	/*87*///{ _MN_DSP_LEVEL3_4_MENU_51, _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_51, Level4_5Menu_1Enter, Level4_5Menu_1Do,	Level4_5Menu_1Exit}, 		// 	 _MN_DSP_LEVEL4_5_MENU_1   				    
	/*88*///{ _MN_DSP_HSAENTER_MENU,    _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_DSP_LEVEL3_4_MENU_52, Level4_5Menu_2Enter, Level4_5Menu_2Do,	Level4_5Menu_2Exit},		//	 _MN_DSP_LEVEL4_5_MENU_2 					    

	//五级菜单
	/*76*///{ _MN_DSP_LEVEL4_4_MENU_1, _MN_IDX_NULL,            _MN_IDX_NULL,         _MN_DSP_LEVEL4_4_MENU_1, Level5_4Menu_1Enter, Level5_4Menu_1Do,	Level5_4Menu_1Exit},		//		                    
	/*77*///{ _MN_DSP_LEVEL4_4_MENU_2, _MN_IDX_NULL,            _MN_IDX_NULL,         _MN_DSP_LEVEL4_4_MENU_2, Level5_4Menu_2Enter, Level5_4Menu_2Do,	Level5_4Menu_2Exit},		//		                    
	/*78*///{ _MN_DSP_LEVEL4_4_MENU_3, _MN_IDX_NULL,            _MN_IDX_NULL,         _MN_DSP_LEVEL4_4_MENU_3, Level5_4Menu_3Enter, Level5_4Menu_3Do,	Level5_4Menu_3Exit},		//		                    
	/*79*///{ _MN_DSP_LEVEL4_4_MENU_4, _MN_IDX_NULL,            _MN_IDX_NULL,         _MN_DSP_LEVEL4_4_MENU_4, Level5_4Menu_4Enter, Level5_4Menu_4Do,	Level5_4Menu_4Exit},		//		                    
	/*80*///{ _MN_DSP_LEVEL4_4_MENU_5, _MN_IDX_NULL,            _MN_IDX_NULL,         _MN_DSP_LEVEL4_4_MENU_5, Level5_4Menu_5Enter, Level5_4Menu_5Do,	Level5_4Menu_5Exit},					                    

	/*89*///{ _MN_DSP_LEVEL3_4_MENU_52,_MN_IDX_NULL,            _MN_IDX_NULL,_MN_DSP_LEVEL4_5_MENU_2,  Level_Enter_HMenu_Enter,Level_Enter_HMenu_Do,Level_Enter_HMenu_Exit},		//   _MN_DSP_HSAENTER_MENU	                    
	/*90*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_IDX_NULL,     Level_Enter_Menu_Enter, Level_Enter_Menu_Do, Level_Enter_Menu_Exit},			//	                    
	/*91*///{ _MN_IDX_NULL,            _MN_IDX_NULL,            _MN_IDX_NULL,        _MN_IDX_NULL,     Level_Return_Menu_Enter,Level_Return_Menu_Do,Level_Return_Menu_Exit},		//		                    

};

void NextMenu(_MENU_IDX idx)
{
	if ((idx) !=	_MN_IDX_NULL)
	{
		bNextMenuIDX = (idx);
	}
	else
	{
	}
}

void MenuInit(void)
{
	bCurMenuIDX = 0;
	bNextMenuIDX = 0;
	bMenuSwFlag = 1;
}

void MenuManage(void)
{
	if (bMenuSwFlag)
	{
		if (MenuOptTab[bCurMenuIDX].Enter)
			MenuOptTab[bCurMenuIDX].Enter();
	}
	if (MenuOptTab[bCurMenuIDX].Do)
		MenuOptTab[bCurMenuIDX].Do();

	bMenuSwFlag = (bCurMenuIDX != bNextMenuIDX) ? 1 : 0;	
	if (bMenuSwFlag)
	{
		if (MenuOptTab[bCurMenuIDX].Exit && MenuOptTab[bCurMenuIDX].VK_IDX_EXIT)
			MenuOptTab[bCurMenuIDX].Exit();
	}
	bCurMenuIDX = bNextMenuIDX;
}
//主界面1  平均油耗，平均车速
void Level1Menu_1Enter(void)
{
   
}
void Level1Menu_1Do(void)
{
	//GUI_BG_AVG_FuelSpeed_Display(TrapPOS);
}  

void Level1Menu_1Exit(void)
{}
//主界面2   电池显示
void Level1Menu_2Enter(void)
{
}
void Level1Menu_2Do(void)
{
	//GUI_BG_Battery_Display_Display(0); 
}
void Level1Menu_2Exit(void)
{}
//主界面3   DPD
void Level1Menu_3Enter(void)
{
}
void Level1Menu_3Do(void)
{ 
	//GUI_BG_DPD_Display_Display(0); 
}
void Level1Menu_3Exit(void)
{}
//主界面4  时间油温
void Level1Menu_4Enter(void)
{
}
void Level1Menu_4Do(void)
{
	//GUI_BG_Time_Display_Display(0);
}
void Level1Menu_4Exit(void)
{}
//主界面5   万年历显示
void Level1Menu_5Enter(void)
{
}
void Level1Menu_5Do(void)
{
	//GUI_BG_Year_Month_Data_Display_Display(0);
}
void Level1Menu_5Exit(void)
{}
//主界面6 空白
void Level1Menu_6Enter(void)
{ 
}
void Level1Menu_6Do(void)
{ 
	//TFT_LCD_Clear_Multi_Layer(LAYER_Trip1, YVC_LYR_NUM_CPU-2);
}
void Level1Menu_6Exit(void)
{}
//主界面7 亮度调节
void Level1Menu_7Enter(void)
{ 
}
void Level1Menu_7Do(void)
{ 
}
void Level1Menu_7Exit(void)
{}
//----MENU----
//二级界面  故障代码
void Level2Menu_1Enter(void)
{
}
void Level2Menu_1Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,1);
	//GUI_BG_Menu1_Display(0);
	Menu1_1_Display();
}
void Level2Menu_1Exit(void)
{}
//二级界面 维修通知
void Level2Menu_2Enter(void)
{
}
void Level2Menu_2Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,2);
	//GUI_BG_Menu2_Display(0);
}
void Level2Menu_2Exit(void)
{}
//二级界面 维修通知设定
void Level2Menu_3Enter(void)
{
}
void Level2Menu_3Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,3);
	//GUI_BG_Menu3_Display(0);
}
void Level2Menu_3Exit(void)
{}
//二级界面 用户设定
void Level2Menu_4Enter(void)
{
}
void Level2Menu_4Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,4);
	//GUI_BG_Menu4_Display(0);
}
void Level2Menu_4Exit(void)
{}
//二级界面 ECO状态显示
void Level2Menu_5Enter(void)
{
}
void Level2Menu_5Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_Menu5_Display(0);
}
void Level2Menu_5Exit(void)
{}
//二级界面 系统演示模式
void Level2Menu_6Enter(void)
{
}
void Level2Menu_6Do(void)
{
  //GUI_BG_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_Menu6_Display(0);
}
void Level2Menu_6Exit(void)
{}
//----故障代码----子菜单系列
//发动机故障
void Level2_1Menu_1Enter(void)
{
}
void Level2_1Menu_1Do(void)
{
	//GUI_BG_Error_Display(0);
	//GUI_BG_Menu_Flag_Display(0,1);
	//if (1)
	//  GUI_BG_Errot1_Display(0);
	//if (0)
	//  GUI_BG_Errot2_Display(0);
  //if (0)
	//  GUI_BG_Errot3_Display(0);
	//if (0) 
	//  GUI_BG_Errot4_Display(0);	
} 
void Level2_1Menu_1Exit(void)
{}
/*
//SCR故障
void Level2_1Menu_2Enter(void)
{
}
void Level2_1Menu_2Do(void)
{
  GUI_BG_Error_Display(0);
	//GUI_BG_Menu_Flag_Display(0,2);
	GUI_BG_Errot2_Display(0);
}
void Level2_1Menu_2Exit(void)
{}
//VAT故障
void Level2_1Menu_3Enter(void)
{
}
void Level2_1Menu_3Do(void)
{
  GUI_BG_Error_Display(0);
	//GUI_BG_Menu_Flag_Display(0,3);
	GUI_BG_Errot3_Display(0);
}
void Level2_1Menu_3Exit(void)
{}
//EBS/ABS故障
void Level2_1Menu_4Enter(void)
{
}
void Level2_1Menu_4Do(void)
{
  GUI_BG_Error_Display(0);
	//GUI_BG_Menu_Flag_Display(0,4);
	GUI_BG_Errot4_Display(0);
}
void Level2_1Menu_4Exit(void)
{}
//SRS故障
void Level2_1Menu_5Enter(void)
{
}
void Level2_1Menu_5Do(void)
{
  GUI_BG_Error_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	GUI_BG_Errot5_Display(0);
}
void Level2_1Menu_5Exit(void)
{}*/
//----维修通知----子菜单系列
//发动机油滤清液
void Level2_2Menu_1Enter(void)
{
}
void Level2_2Menu_1Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,1);
	//GUI_BG_RepMenu1_Display(0);
}
void Level2_2Menu_1Exit(void)
{}
//燃油滤清液
void Level2_2Menu_2Enter(void)
{
}
void Level2_2Menu_2Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,2);
	//GUI_BG_RepMenu2_Display(0);
}
void Level2_2Menu_2Exit(void)
{}
//变速箱油
void Level2_2Menu_3Enter(void)
{
}
void Level2_2Menu_3Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,3);
	//GUI_BG_RepMenu3_Display(0);
}
void Level2_2Menu_3Exit(void)
{}
//差速器油
void Level2_2Menu_4Enter(void)
{
}
void Level2_2Menu_4Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,4);
	//GUI_BG_RepMenu4_Display(0);
}
void Level2_2Menu_4Exit(void)
{}
//离合油
void Level2_2Menu_5Enter(void)
{
}
void Level2_2Menu_5Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_RepMenu5_Display(0);
}
void Level2_2Menu_5Exit(void)
{}
//空气干燥剂
void Level2_2Menu_6Enter(void)
{
}
void Level2_2Menu_6Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_RepMenu6_Display(0);
}
void Level2_2Menu_6Exit(void)
{}
//动力转向油
void Level2_2Menu_7Enter(void)
{
}
void Level2_2Menu_7Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_RepMenu7_Display(0);
}
void Level2_2Menu_7Exit(void)
{}
//轮胎
void Level2_2Menu_8Enter(void)
{
}
void Level2_2Menu_8Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_RepMenu8_Display(0);
}
void Level2_2Menu_8Exit(void)
{}
//起动机
void Level2_2Menu_9Enter(void)
{
}
void Level2_2Menu_9Do(void)
{
  //GUI_BG_Rep_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_RepMenu9_Display(0);
}
void Level2_2Menu_9Exit(void)
{}
//----保养通知设定
//发动机油 滤清油
void Level2_3Menu_1Enter(void)
{
}
void Level2_3Menu_1Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,1);
	//GUI_BG_RepSetMenu1_Display(0);
}
void Level2_3Menu_1Exit(void)
{}
//燃油滤清油
void Level2_3Menu_2Enter(void)
{
}
void Level2_3Menu_2Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,2);
	//GUI_BG_RepSetMenu2_Display(0);
}
void Level2_3Menu_2Exit(void)
{}
//变速箱油
void Level2_3Menu_3Enter(void)
{
}
void Level2_3Menu_3Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,3);
	//GUI_BG_RepSetMenu3_Display(0);
}
void Level2_3Menu_3Exit(void)
{}
//差速器油
void Level2_3Menu_4Enter(void)
{
}
void Level2_3Menu_4Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,4);
	//GUI_BG_RepSetMenu4_Display(0);
}
void Level2_3Menu_4Exit(void)
{}
//离合油
void Level2_3Menu_5Enter(void)
{
}
void Level2_3Menu_5Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_RepSetMenu5_Display(0);
}
void Level2_3Menu_5Exit(void)
{}
//动力转向油
void Level2_3Menu_6Enter(void)
{
}
void Level2_3Menu_6Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_RepSetMenu6_Display(0);
}
void Level2_3Menu_6Exit(void)
{}
//轮胎
void Level2_3Menu_7Enter(void)
{
}
void Level2_3Menu_7Do(void)
{
  //GUI_BG_RepSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_RepSetMenu7_Display(0);
}
void Level2_3Menu_7Exit(void)
{}
//----用户设定
//日期设定
void Level2_4Menu_1Enter(void)
{
}
void Level2_4Menu_1Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,1);
	//GUI_BG_UserSetMenu1_Display(0);
	//User_set_Num.User_Date = 0;      //-----hyq----
}
void Level2_4Menu_1Exit(void)
{}
//时间设定
void Level2_4Menu_2Enter(void)
{ 
}
void Level2_4Menu_2Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,2);
	//GUI_BG_UserSetMenu2_Display(0);
	//User_set_Num.User_Time = 0;       //----hyq---
}
void Level2_4Menu_2Exit(void)
{}
//显示设定
void Level2_4Menu_3Enter(void)
{
}
void Level2_4Menu_3Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,3);
	//GUI_BG_UserSetMenu3_Display(0);
}
void Level2_4Menu_3Exit(void)
{}
//省油费建议设定
void Level2_4Menu_4Enter(void)
{
}
void Level2_4Menu_4Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,4);
	//GUI_BG_UserSetMenu4_Display(0);
}
void Level2_4Menu_4Exit(void)
{}
//HAS设定
void Level2_4Menu_5Enter(void)
{
}
void Level2_4Menu_5Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,5);
	//GUI_BG_UserSetMenu5_Display(0);
}
void Level2_4Menu_5Exit(void)
{}
//车间距离警报音量设定
void Level2_4Menu_6Enter(void)
{
}
void Level2_4Menu_6Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_UserSetMenu6_Display(0);
}
void Level2_4Menu_6Exit(void)
{}
//语言设定设定
void Level2_4Menu_7Enter(void)
{
}
void Level2_4Menu_7Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_UserSetMenu7_Display(0);
}
void Level2_4Menu_7Exit(void)
{}
//单位设定
void Level2_4Menu_8Enter(void)
{
}
void Level2_4Menu_8Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_UserSetMenu8_Display(0);
}
void Level2_4Menu_8Exit(void)
{}
//亮度调节
void Level2_4Menu_9Enter(void)
{
}
void Level2_4Menu_9Do(void)
{
  //GUI_BG_UserSet_Menu_Display(0);
	//GUI_BG_Menu_Flag_Display(0,6);
	//GUI_BG_UserSetMenu9_Display(0);
}
void Level2_4Menu_9Exit(void)
{}

/*
//----故障代码----子菜单系列
//发动机故障
void Level3_1Menu_1Enter(void)
{
}
void Level3_1Menu_1Do(void)
{
  GUI_BG_Error_Display(0);
	GUI_BG_Errot1_Display(0);
}
void Level3_1Menu_1Exit(void)
{}
//SCR故障
void Level3_1Menu_2Enter(void)
{
}
void Level3_1Menu_2Do(void)
{
  GUI_BG_Error_Display(0);
	GUI_BG_Errot2_Display(0);
}
void Level3_1Menu_2Exit(void)
{}
//VAT故障
void Level3_1Menu_3Enter(void)
{
}
void Level3_1Menu_3Do(void)
{
  GUI_BG_Error_Display(0);
	GUI_BG_Errot3_Display(0);
}
void Level3_1Menu_3Exit(void)
{}
//EBS/ABS故障
void Level3_1Menu_4Enter(void)
{
}
void Level3_1Menu_4Do(void)
{
  GUI_BG_Error_Display(0);
	GUI_BG_Errot4_Display(0);
}
void Level3_1Menu_4Exit(void)
{}
//SRS故障
void Level3_1Menu_5Enter(void)
{
}
void Level3_1Menu_5Do(void)
{
  GUI_BG_Error_Display(0);
	GUI_BG_Errot5_Display(0);
}
void Level3_1Menu_5Exit(void)
{}
*/
//----维修通知----子菜单系列
//发动机油滤清液
void Level3_2Menu_1Enter(void)
{}
void Level3_2Menu_1Do(void)
{}
void Level3_2Menu_1Exit(void)
{

}
//燃油滤清液
void Level3_2Menu_2Enter(void)
{}
void Level3_2Menu_2Do(void)
{}
void Level3_2Menu_2Exit(void)
{

}
//变速箱油
void Level3_2Menu_3Enter(void)
{}
void Level3_2Menu_3Do(void)
{}
void Level3_2Menu_3Exit(void)
{

}
//差速器油
void Level3_2Menu_4Enter(void)
{}
void Level3_2Menu_4Do(void)
{}
void Level3_2Menu_4Exit(void)
{

}
//离合油
void Level3_2Menu_5Enter(void)
{}
void Level3_2Menu_5Do(void)
{}
void Level3_2Menu_5Exit(void)
{

}
//空气干燥剂
void Level3_2Menu_6Enter(void)
{}
void Level3_2Menu_6Do(void)
{}
void Level3_2Menu_6Exit(void)
{

}
//动力转向油
void Level3_2Menu_7Enter(void)
{}
void Level3_2Menu_7Do(void)
{}
void Level3_2Menu_7Exit(void)
{

}
//轮胎
void Level3_2Menu_8Enter(void)
{}
void Level3_2Menu_8Do(void)
{}
void Level3_2Menu_8Exit(void)
{

}
//起动机
void Level3_2Menu_9Enter(void)
{}
void Level3_2Menu_9Do(void)
{}
void Level3_2Menu_9Exit(void)
{

}
//----保养通知设定--字菜单系列
//发动机油 滤清油
void Level3_3Menu_1Enter(void)
{
}
void Level3_3Menu_1Do(void)
{}
void Level3_3Menu_1Exit(void)
{}
//燃油滤清油
void Level3_3Menu_2Enter(void)
{
}
void Level3_3Menu_2Do(void)
{}
void Level3_3Menu_2Exit(void)
{}
//变速箱油
void Level3_3Menu_3Enter(void)
{
}
void Level3_3Menu_3Do(void)
{}
void Level3_3Menu_3Exit(void)
{}
//差速器油
void Level3_3Menu_4Enter(void)
{ 
}
void Level3_3Menu_4Do(void)
{}
void Level3_3Menu_4Exit(void)
{}
//离合油
void Level3_3Menu_5Enter(void)
{
}
void Level3_3Menu_5Do(void)
{}
void Level3_3Menu_5Exit(void)
{}
//动力转向油
void Level3_3Menu_6Enter(void)
{
}
void Level3_3Menu_6Do(void)
{}
void Level3_3Menu_6Exit(void)
{}
//轮胎
void Level3_3Menu_7Enter(void)
{
}
void Level3_3Menu_7Do(void)
{}
void Level3_3Menu_7Exit(void)
{}
//----用户设定--子菜单系列
//日期设定
void Level3_4Menu_1Enter_1(void)
{  
}
void Level3_4Menu_1Do_1(void)
{}
void Level3_4Menu_1Exit_1(void)
{
}    
//日期格式设定
void Level3_4Menu_1Enter_2(void)
{  
}
void Level3_4Menu_1Do_2(void)
{}
void Level3_4Menu_1Exit_2(void)
{
}       
//时间设定
void Level3_4Menu_2Enter_1(void)
{
}
void Level3_4Menu_2Do_1(void)
{}
void Level3_4Menu_2Exit_1(void)
{
}
//时间格式设定
void Level3_4Menu_2Enter_2(void)
{
}
void Level3_4Menu_2Do_2(void)
{}
void Level3_4Menu_2Exit_2(void)
{
}
//显示设定
void Level3_4Menu_3Enter(void)
{}
void Level3_4Menu_3Do(void)
{}
void Level3_4Menu_3Exit(void)
{}
//----省油费建议设定
//速度设定--高速路
void Level3_4Menu_4Enter_1(void)
{
}
void Level3_4Menu_4Do_1(void)
{}
void Level3_4Menu_4Exit_1(void)
{
}
//速度设定--一般路
void Level3_4Menu_4Enter_2(void)
{
}
void Level3_4Menu_4Do_2(void)
{}
void Level3_4Menu_4Exit_2(void)
{
}
//发动机转速设定
void Level3_4Menu_4Enter_3(void)
{
}
void Level3_4Menu_4Do_3(void)
{}
void Level3_4Menu_4Exit_3(void)
{
}
//急加速设定
void Level3_4Menu_4Enter_4(void)
{
}
void Level3_4Menu_4Do_4(void)
{}
void Level3_4Menu_4Exit_4(void)
{
}
//急减速设定
void Level3_4Menu_4Enter_5(void)
{
}
void Level3_4Menu_4Do_5(void)
{}
void Level3_4Menu_4Exit_5(void)
{
}
//HAS设定  调整
void Level3_4Menu_5Enter_1(void)
{
}
void Level3_4Menu_5Do_1(void)
{}
void Level3_4Menu_5Exit_1(void)
{
}
//
void Level4_5Menu_1Enter(void)
{
}
void Level4_5Menu_1Do(void)
{}
void Level4_5Menu_1Exit(void)
{
}

//HAS设定  重置
void Level3_4Menu_5Enter_2(void)
{
}
void Level3_4Menu_5Do_2(void)
{}
void Level3_4Menu_5Exit_2(void)
{
}
//
void Level4_5Menu_2Enter(void)
{
}
void Level4_5Menu_2Do(void)
{}
void Level4_5Menu_2Exit(void)
{
}
//车间距离警报音量设定
void Level3_4Menu_6Enter(void)
{}
void Level3_4Menu_6Do(void)
{}
void Level3_4Menu_6Exit(void)
{}
//语言设定
void Level3_4Menu_7Enter(void)
{}
void Level3_4Menu_7Do(void)
{}
void Level3_4Menu_7Exit(void)
{}

//单位设定
void Level3_4Menu_8Enter(void)
{}
void Level3_4Menu_8Do(void)
{}
void Level3_4Menu_8Exit(void)
{}

//亮度设置
void Level3_4Menu_9Enter(void)
{}
void Level3_4Menu_9Do(void)
{}
void Level3_4Menu_9Exit(void)
{}

//日期设定
void Level4_1Menu_1Enter(void)
{}
void Level4_1Menu_1Do(void)
{}
void Level4_1Menu_1Exit(void)
{}         
     
//日期格式设定
void Level4_1Menu_2Enter(void)
{}
void Level4_1Menu_2Do(void)
{}
void Level4_1Menu_2Exit(void)
{}

//时间设定
void Level4_2Menu_1Enter(void)
{}
void Level4_2Menu_1Do(void)
{}
void Level4_2Menu_1Exit(void)
{}  
  
//时间格式设定
void Level4_2Menu_2Enter(void)
{}
void Level4_2Menu_2Do(void)
{}
void Level4_2Menu_2Exit(void)
{}

//速度设定-高速路
void Level4_4Menu_1Enter(void)
{}
void Level4_4Menu_1Do(void)
{}
void Level4_4Menu_1Exit(void)
{} 
        
//速度设定-一般路
void Level4_4Menu_2Enter(void)
{}
void Level4_4Menu_2Do(void)
{}
void Level4_4Menu_2Exit(void)
{}

//发动机转速
void Level4_4Menu_3Enter(void)
{}
void Level4_4Menu_3Do(void)
{}
void Level4_4Menu_3Exit(void)
{}

//急加速设定
void Level4_4Menu_4Enter(void)
{}
void Level4_4Menu_4Do(void)
{}
void Level4_4Menu_4Exit(void)
{}

//急减速设定
void Level4_4Menu_5Enter(void)
{}
void Level4_4Menu_5Do(void)
{}
void Level4_4Menu_5Exit(void)
{}

//HSAEnter
void Level_Enter_HMenu_Enter(void)
{
}
void Level_Enter_HMenu_Do(void)
{}
void Level_Enter_HMenu_Exit(void)
{
}

//Enter
void Level_Enter_Menu_Enter(void)
{
}
void Level_Enter_Menu_Do(void)
{}
void Level_Enter_Menu_Exit(void)
{}

//Return  
void Level_Return_Menu_Enter(void)
{
}
void Level_Return_Menu_Do(void)
{}
void Level_Return_Menu_Exit(void)
{}

/******************************************************************************
  函数名：Key_Status_Detect
  功  能：按键检测

  参  数IOInput 输入状态
  返回值：无
 ******************************************************************************/
//按键检测
void Menu_Status_Switch(void)
{}